import { SlashCommandBuilder } from "discord.js";

const command = {
  data: new SlashCommandBuilder()
    .setName("listcommand")
    .setDescription("Affiche la liste des commandes disponibles"),
  async execute(interaction) {
    let message = `Voila la liste des commandes que tu peux utiliser :
      __Categorie Utililaires__ :
      \`/deletemsgs\`: Supprime les 100 derniers messages non épinglés

      __Categorie Vocal__ :
      \`/muteall\`: Rends tout le monde muet
      \`/unmuteall\`: Rends la parole à tout le monde
      \`/deafall\`: Rends tout le monde sourd
      \`/undeafall\`: Rends l'ouïe à tout le monde
      
      __Categorie Jeux__ :
      \`/dice\`: Lance un ou plusieurs dés avec un nombre de faces choisi
      \`/maketeam\`: Crée un certain nombre d'équipes en renseignant des joueurs (séparés par un espace)
    `;

    await interaction.reply({ content: message, ephemeral: true });
  },
};

export { command };
